import 'dart:math';
import 'package:flutter/material.dart';
import 'package:flutter_week1/models/tag_model.dart';
import 'package:flutter_week1/models/task_model.dart';

class AddTaskScreen extends StatefulWidget {
  final Function addTask;

  const AddTaskScreen({super.key, required this.addTask});

  @override
  _AddTaskScreen createState() => _AddTaskScreen();
}

class _AddTaskScreen extends State<AddTaskScreen> {
  final TextEditingController _textController = TextEditingController();

  final List<TagModel> tags = [
    TagModel(name: 'car'),
    TagModel(name: 'homeSweetHome'),
    TagModel(name: 'foodie'),
    TagModel(name: 'drinkUp'),
    TagModel(name: 'bananasForDays'),
    TagModel(name: 'codingLife'),
    TagModel(name: 'debuggingForever'),
    TagModel(name: 'morningCoffee'),
    TagModel(name: 'gymTime'),
    TagModel(name: 'lazyDay'),
    TagModel(name: 'vacayVibes'),
    TagModel(name: 'workHardPlayHard'),
    TagModel(name: 'catLover'),
    TagModel(name: 'doggoRules'),
    TagModel(name: 'wifiIsLife'),
    TagModel(name: 'noFilter'),
    TagModel(name: 'selfCare'),
    TagModel(name: 'hustleMode'),
    TagModel(name: 'sleepIsOptional'),
    TagModel(name: 'studyGrind'),
    TagModel(name: 'snackAttack'),
    TagModel(name: 'musicTherapy'),
    TagModel(name: 'gamerLife'),
    TagModel(name: 'procrastinationPro'),
    TagModel(name: 'coffeeAddict'),
    TagModel(name: 'wanderlust'),
    TagModel(name: 'codeAndChill'),
    TagModel(name: 'neverStopLearning'),
    TagModel(name: 'oopsIDidItAgain'),
    TagModel(name: 'oopsAllBugs'),
    TagModel(name: 'pizzaIsLife'),
    TagModel(name: 'teaLover'),
    TagModel(name: 'cantLiveWithoutSnacks'),
    TagModel(name: 'teamNoSleep'),
    TagModel(name: 'winningAtLife'),
  ];

  List<TagModel> randomTags() {
    int count = Random().nextInt(7) + 1; // Ensure at least one tag
    tags.shuffle();
    return tags.take(count).toList();
  }

  void disppo() {
    _textController.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(
          "ADD TASK",
          style: TextStyle(fontWeight: FontWeight.bold, color: Colors.white),
        ),
        backgroundColor: Color.fromARGB(255, 94, 180, 250),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Padding(
              padding: const EdgeInsets.all(8.0),
              child: TextField(
                controller: _textController,
                decoration: InputDecoration(
                  border: OutlineInputBorder(),
                  hintText: 'Enter task',
                ),
              ),
            ),
            SizedBox(height: 20),
            ElevatedButton(
              onPressed: () {
                if (_textController.text.isNotEmpty) {
                  widget.addTask(TaskModel(
                      task: _textController.text,
                      likes: Random().nextInt(20),
                      tags: randomTags()));
                  _textController.clear();
                }
              },
              child: Text(
                'Add Task',
                style: TextStyle(color: Colors.white, fontSize: 15),
              ),
              style: ElevatedButton.styleFrom(
                backgroundColor: const Color.fromARGB(255, 94, 180, 250),
                padding: EdgeInsets.symmetric(horizontal: 150, vertical: 20),
              ),
            )
          ],
        ),
      ),
    );
  }
}
