import 'package:flutter/material.dart';
import 'package:flutter_week1/models/task_model.dart';
import 'package:flutter_week1/screens/task_screen.dart';
import '../models/user_model.dart';

class HomeScreen extends StatefulWidget {
  final List<TaskModel> tasks;
  final UserModel user;

  HomeScreen({required this.user, required this.tasks});

  @override
  _HomeScreen createState() => _HomeScreen();
}

class _HomeScreen extends State<HomeScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(
          "HOME",
          style: TextStyle(fontWeight: FontWeight.bold, color: Colors.white),
        ),
        backgroundColor: Color.fromARGB(255, 94, 180, 250),
      ),
      body: ListView.builder(
        itemCount: widget.tasks.length,
        itemBuilder: (context, index) {
          final task = widget.tasks[index];
          return TaskScreen(
            user: widget.user,
            task: task,
          );
        },
      ),
    );
  }
}
