import 'package:flutter/material.dart';
import 'package:flutter_week1/models/task_model.dart';
import 'home_screen.dart';
import 'add_task_screen.dart';
import '../models/user_model.dart';
import '../models/tag_model.dart';

class MainScreen extends StatefulWidget {
  final UserModel user;

  MainScreen({super.key, required this.user});

  @override
  _MainScreenState createState() => _MainScreenState();
}

class _MainScreenState extends State<MainScreen> {
  int _currentIndex = 0;
  final List<TaskModel> tasks = [
    TaskModel(
      task: 'Task 1',
      likes: 10,
      tags: [TagModel(name: 'car'), TagModel(name: 'home')],
    ),
    TaskModel(
      task: 'Task 2',
      likes: 20,
      tags: [TagModel(name: 'car'), TagModel(name: 'home')],
    ),
    TaskModel(
      task: 'Task 3',
      likes: 30,
      tags: [TagModel(name: 'car'), TagModel(name: 'home')],
    ),
  ];

  void _onTabTapped(int index) {
    setState(() {
      _currentIndex = index;
    });
  }

  void _addTask(TaskModel task) {
    setState(() {
      tasks.insert(0, task);
      _currentIndex = 0;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: IndexedStack(
        index: _currentIndex,
        children: [
          HomeScreen(user: widget.user, tasks: tasks),
          AddTaskScreen(addTask: _addTask),
        ],
      ),
      bottomNavigationBar: BottomNavigationBar(
        currentIndex: _currentIndex,
        onTap: _onTabTapped,
        items: [
          BottomNavigationBarItem(
            icon: Icon(Icons.home),
            label: 'Home',
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.add),
            label: 'Add',
          ),
        ],
      ),
    );
  }
}
