import 'package:flutter/material.dart';
import 'package:flutter_week1/models/task_model.dart';
import 'package:flutter_week1/models/user_model.dart';

class TaskScreen extends StatelessWidget {
  final UserModel user;
  final TaskModel task;

  TaskScreen({
    required this.user,
    required this.task,
  });

  @override
  Widget build(BuildContext context) {
    return Card(
      margin: EdgeInsets.symmetric(vertical: 8, horizontal: 16),
      child: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Row(
              children: [
                Icon(Icons.account_circle, size: 40),
                SizedBox(width: 8),
                Text(
                  user.name,
                  style: TextStyle(fontSize: 16, fontWeight: FontWeight.bold),
                ),
              ],
            ),
            SizedBox(height: 12),
            Text(
              task.task,
              style: TextStyle(fontSize: 16),
            ),
            Wrap(
              children: [
                for (final tag in task.tags)
                  Padding(
                    padding: const EdgeInsets.only(right: 8, top: 8),
                    child: Text('#' + tag.name,
                        style: TextStyle(fontSize: 12, color: Colors.blue)),
                  ),
              ],
            ),
            SizedBox(height: 16),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Row(
                  children: [
                    Icon(Icons.favorite, color: Colors.red),
                    SizedBox(width: 4),
                    Text('${task.likes}'),
                  ],
                ),
                Icon(Icons.share),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
